Index: TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/LocalXhtmlDtdEntityResolver.java
===================================================================
--- TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/LocalXhtmlDtdEntityResolver.java	(revision 3856)
+++ TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/LocalXhtmlDtdEntityResolver.java	(revision 3857)
@@ -16,8 +16,8 @@
 	 */
 	@Override
 	public InputSource resolveEntity(String publicId, String systemId) throws SAXException, IOException {
-		String fileName = systemId.substring(systemId.lastIndexOf("/") + 1);
-		System.out.println("FILENAME: " + fileName);
+		String fileName = systemId.substring(systemId.lastIndexOf("/") + 1); //$NON-NLS-1$
+		System.out.println("FILENAME: " + fileName); //$NON-NLS-1$
 
 		return new InputSource(getClass().getClassLoader().getResourceAsStream(fileName));
 	}
Index: TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/io/IOUtils.java
===================================================================
--- TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/io/IOUtils.java	(revision 3856)
+++ TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/io/IOUtils.java	(revision 3857)
@@ -56,10 +56,10 @@
 		ArrayList<String> matches = new ArrayList<String>();
 		String text = IOUtils.getText(file, encoding);
 		if (normalizeSeparators) {
-			text = text.replaceAll("\\s", " "); //$NON-NLS-1$
-			text = text.replaceAll("\\t", " "); //$NON-NLS-1$
-			text = text.replaceAll("\\n", " "); //$NON-NLS-1$
-			text = text.replaceAll("[ ]+", " "); //$NON-NLS-1$
+			text = text.replaceAll("\\s", " "); //$NON-NLS-1$ //$NON-NLS-2$
+			text = text.replaceAll("\\t", " "); //$NON-NLS-1$ //$NON-NLS-2$
+			text = text.replaceAll("\\n", " "); //$NON-NLS-1$ //$NON-NLS-2$
+			text = text.replaceAll("[ ]+", " "); //$NON-NLS-1$ //$NON-NLS-2$
 		}
 
 		Pattern test = Pattern.compile(pattern);
Index: TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/io/FileCopy.java
===================================================================
--- TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/io/FileCopy.java	(revision 3856)
+++ TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/io/FileCopy.java	(revision 3857)
@@ -44,7 +44,7 @@
  */
 public class FileCopy {
 
-	private static final boolean isWindows = System.getProperty("os.name").contains("Windows");
+	private static final boolean isWindows = System.getProperty("os.name").contains("Windows"); //$NON-NLS-1$ //$NON-NLS-2$
 
 	/**
 	 * replace the file if it exists
@@ -254,8 +254,8 @@
 		// System.out.println("delete c1 "+copy1.delete()); //$NON-NLS-1$
 		// System.out.println("delete c2 "+copy2.delete()); //$NON-NLS-1$
 
-		File dir1 = new File("/home/mdecorde/TEMP/copydir");
-		File dir2 = new File("/home/mdecorde/TEMP/copydir3");
+		File dir1 = new File("/home/mdecorde/TEMP/copydir"); //$NON-NLS-1$
+		File dir2 = new File("/home/mdecorde/TEMP/copydir3"); //$NON-NLS-1$
 		FileCopy.copyFiles(dir1, dir2);
 	}
 }
Index: TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/StreamHog.java
===================================================================
--- TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/StreamHog.java	(revision 3856)
+++ TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/StreamHog.java	(revision 3857)
@@ -59,7 +59,7 @@
 	 *            the capture
 	 */
 	public StreamHog(InputStream is, boolean log) {
-		this.setName("");
+		this.setName(""); //$NON-NLS-1$
 		this.is = is;
 		this.log = log;
 		start();
Index: TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/Tuple.java
===================================================================
--- TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/Tuple.java	(revision 3856)
+++ TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/Tuple.java	(revision 3857)
@@ -11,7 +11,7 @@
 		this.b = b;
 	}
 
-	static String format = "%s %s";
+	static String format = "%s %s"; //$NON-NLS-1$
 
 	public String toString() {
 		return String.format(format, a, b);
Index: TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/logger/Log.java
===================================================================
--- TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/logger/Log.java	(revision 3856)
+++ TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/logger/Log.java	(revision 3857)
@@ -51,7 +51,7 @@
  */
 public class Log {
 	/** The class id. */
-	public static final String id = "org.txm.utils.logger.Log";
+	public static final String id = "org.txm.utils.logger.Log"; //$NON-NLS-1$
 
 	/** The txm Logger. */
 	protected static TXMLogger txm;
@@ -77,7 +77,7 @@
 
 	static {
 		// System.out.println("INIT TXMLOGGER");
-		txm = new TXMLogger("TXMFileLogger", null);
+		txm = new TXMLogger("TXMFileLogger", null); //$NON-NLS-1$
 		txm.setLevel(Level.SEVERE); // default is to show errors
 		txm.setUseParentHandlers(true);
 		frameList = new ArrayList<>();
@@ -107,7 +107,7 @@
 			try {
 				SimpleDateFormat f = new SimpleDateFormat("yyyy-MM-dd"); //$NON-NLS-1$
 
-				filename = System.getProperty("java.io.tmpdir") + "/TXM-" + f.format(new Date()) + ".log"; //$NON-NLS-1$ //$NON-NLS-2$
+				filename = System.getProperty("java.io.tmpdir") + "/TXM-" + f.format(new Date()) + ".log"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 
 				fh = new FileHandler(filename, false);
 				System.out.println(UtilsCoreMessages.Log_3 + new File(filename).getAbsolutePath());
@@ -229,10 +229,10 @@
 	public static void severe(String message) {
 
 		if (message.length()> MAX_LINE_LENGTH) { // cut if too long
-			message = message.substring(0, MAX_LINE_LENGTH) + "[...]";
+			message = message.substring(0, MAX_LINE_LENGTH) + "[...]"; //$NON-NLS-1$
 		}
-		if (StringUtils.countMatches(message, "\n") > MAX_NEWLINES) {
-			message = message.replace("\n", "⏎");
+		if (StringUtils.countMatches(message, "\n") > MAX_NEWLINES) { //$NON-NLS-1$
+			message = message.replace("\n", "⏎"); //$NON-NLS-1$ //$NON-NLS-2$
 		}
 
 		if (Level.SEVERE.intValue() >= txm.getLevel().intValue()) {
@@ -245,7 +245,7 @@
 
 			for (StackTraceElement t : st) {
 				String cn = t.getClassName();
-				if (cn.startsWith("org.txm.") && !cn.startsWith(Log.class.getName())) {
+				if (cn.startsWith("org.txm.") && !cn.startsWith(Log.class.getName())) { //$NON-NLS-1$
 					int cns = cn.length();
 					if (cns > maxClassNameLength)
 						maxClassNameLength = cns;
@@ -257,12 +257,12 @@
 			}
 
 			int stLs = (int) Math.log10(stL) + 1;
-			String format = String.format("[%%%dd]  %%%ds.%%%ds  %%s, %%s", stLs, maxClassNameLength, maxMethodNameLength);
+			String format = String.format("[%%%dd]  %%%ds.%%%ds  %%s, %%s", stLs, maxClassNameLength, maxMethodNameLength); //$NON-NLS-1$
 
-			System.out.println("Stacktrace: ");
+			System.out.println("Stacktrace: "); //$NON-NLS-1$
 			int n = 1;
 			for (StackTraceElement t : st) {
-				if (t.getClassName().startsWith("org.txm.") && !t.getClassName().startsWith(Log.class.getName())) {
+				if (t.getClassName().startsWith("org.txm.") && !t.getClassName().startsWith(Log.class.getName())) { //$NON-NLS-1$
 					System.out.println(String.format(format, n++, t.getClassName(), t.getMethodName(), t.getFileName(), t.getLineNumber()));
 				}
 			}
@@ -299,9 +299,9 @@
 	public static void warning(String message) {
 
 		if (message.length()> MAX_LINE_LENGTH) { // cut if too long
-			message = message.substring(0, MAX_LINE_LENGTH) + "[...]";
+			message = message.substring(0, MAX_LINE_LENGTH) + "[...]"; //$NON-NLS-1$
 		}
-		message = message.replace("\n", "⏎");
+		message = message.replace("\n", "⏎"); //$NON-NLS-1$ //$NON-NLS-2$
 
 
 		if (Level.WARNING.intValue() >= txm.getLevel().intValue()) {
@@ -351,9 +351,9 @@
 	public static void info(String message, boolean newline) {
 
 		if (message.length()> MAX_LINE_LENGTH) { // cut if too long
-			message = message.substring(0, MAX_LINE_LENGTH) + "[...]";
+			message = message.substring(0, MAX_LINE_LENGTH) + "[...]"; //$NON-NLS-1$
 		}
-		message = message.replace("\n", "⏎");
+		message = message.replace("\n", "⏎"); //$NON-NLS-1$ //$NON-NLS-2$
 
 
 		if (Level.INFO.intValue() >= txm.getLevel().intValue()) {
@@ -494,7 +494,7 @@
 
 		for (StackTraceElement t : st) {
 			String cn = t.getClassName();
-			if (cn.startsWith("org.txm.") && !cn.startsWith(Log.class.getName())) {
+			if (cn.startsWith("org.txm.") && !cn.startsWith(Log.class.getName())) { //$NON-NLS-1$
 				int cns = cn.length();
 				if (cns > maxClassNameLength)
 					maxClassNameLength = cns;
@@ -506,12 +506,12 @@
 		}
 
 		int stLs = (int) Math.log10(stL) + 1;
-		String format = String.format("[%%%dd]  %%%ds.%%%ds  %%s, %%s", stLs, maxClassNameLength, maxMethodNameLength);
+		String format = String.format("[%%%dd]  %%%ds.%%%ds  %%s, %%s", stLs, maxClassNameLength, maxMethodNameLength); //$NON-NLS-1$
 
-		System.out.println("Stacktrace: ");
+		System.out.println("Stacktrace: "); //$NON-NLS-1$
 		int n = 1;
 		for (StackTraceElement t : st) {
-			if (t.getClassName().startsWith("org.txm.") && !t.getClassName().startsWith(Log.class.getName())) {
+			if (t.getClassName().startsWith(UtilsCoreMessages.Log_23) && !t.getClassName().startsWith(Log.class.getName())) {
 				System.out.println(String.format(format, n++, t.getClassName(), t.getMethodName(), t.getFileName(), t.getLineNumber()));
 			}
 		}
Index: TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/logger/TXMLogger.java
===================================================================
--- TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/logger/TXMLogger.java	(revision 3856)
+++ TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/logger/TXMLogger.java	(revision 3857)
@@ -231,7 +231,7 @@
 			} else {
 				if (!isLoggerImpl) {
 					// skip reflection call
-					if (!cname.startsWith("java.lang.reflect.") && !cname.startsWith("sun.reflect.")) {
+					if (!cname.startsWith("java.lang.reflect.") && !cname.startsWith("sun.reflect.")) { //$NON-NLS-1$ //$NON-NLS-2$
 						// We've found the relevant frame.
 						sourceClassName = cname;
 						sourceMethodName = frame.getMethodName();
Index: TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/DeleteDir.java
===================================================================
--- TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/DeleteDir.java	(revision 3856)
+++ TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/DeleteDir.java	(revision 3857)
@@ -75,12 +75,12 @@
 		}
 		try { // try using system for faster reply and prefer OS-dependent directory removal tool
 			if (SystemUtils.IS_OS_WINDOWS) {
-				Runtime.getRuntime().exec(new String[] { "%ComSpec%", "/C", "RD /S /Q \"" + path + '"' }).waitFor(); // FIXME: SJ: "%ComSpec%" is not defined, at least on my Win7
+				Runtime.getRuntime().exec(new String[] { "%ComSpec%", "/C", "RD /S /Q \"" + path + '"' }).waitFor(); // FIXME: SJ: "%ComSpec%" is not defined, at least on my Win7 //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			} else if (SystemUtils.IS_OS_UNIX) {
 				if (definitive) {
-					Runtime.getRuntime().exec(new String[] { "/bin/rm", "-rf", path.toString() }).waitFor();
+					Runtime.getRuntime().exec(new String[] { "/bin/rm", "-rf", path.toString() }).waitFor(); //$NON-NLS-1$ //$NON-NLS-2$
 				} else {
-					Runtime.getRuntime().exec(new String[] { "gio", "trash", path.toString() }).waitFor();
+					Runtime.getRuntime().exec(new String[] { "gio", "trash", path.toString() }).waitFor(); //$NON-NLS-1$ //$NON-NLS-2$
 				}
 			}
 			
Index: TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/AsciiUtils.java
===================================================================
--- TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/AsciiUtils.java	(revision 3856)
+++ TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/AsciiUtils.java	(revision 3857)
@@ -75,7 +75,7 @@
 	private AsciiUtils() {
 	}
 
-	public static Transliterator asciiFormmater = Transliterator.getInstance("Any-Latin; NFD; [^\\p{Alnum}\\p{p}] Remove");
+	public static Transliterator asciiFormmater = Transliterator.getInstance("Any-Latin; NFD; [^\\p{Alnum}\\p{p}] Remove"); //$NON-NLS-1$
 
 	/**
 	 * Convert non ascii characters. Warning punctuations are not removed
@@ -129,18 +129,18 @@
 		}
 
 		// ensure the "w_" prefix presence
-		if (s.startsWith("w")) {
-			if (!s.startsWith("w_")) {
-				s = "w_" + s.substring(1);
+		if (s.startsWith("w")) { //$NON-NLS-1$
+			if (!s.startsWith("w_")) { //$NON-NLS-1$
+				s = "w_" + s.substring(1); //$NON-NLS-1$
 			}
 		} else {
-			s = "w_" + s;
+			s = "w_" + s; //$NON-NLS-1$
 		}
 		// System.out.println("first="+s);
 
 		String rez = convertNonAscii(s);// .toLowerCase();
 		// System.out.println("nonasscii="+rez);
-		rez = rez.replaceAll("\\p{Space}++", "_");
+		rez = rez.replaceAll("\\p{Space}++", "_"); //$NON-NLS-1$ //$NON-NLS-2$
 		// System.out.println("spaces="+rez);
 		rez = rez.replaceAll("[¤€§µ£°().,;:/?!@§%\\\\\"’ʹ'*+\\-}\\]\\[{#~&]", ""); //$NON-NLS-1$ //$NON-NLS-2$ // "[^\\P{P}_]"
 		// System.out.println("ponc="+rez);
@@ -172,8 +172,8 @@
 			return s;
 		}
 		String rez = s.trim();
-		rez = rez.replaceAll("\\p{Space}++", "_");
-		rez = rez.replaceAll("_", "-");
+		rez = rez.replaceAll("\\p{Space}++", "_"); //$NON-NLS-1$ //$NON-NLS-2$
+		rez = rez.replaceAll("_", "-"); //$NON-NLS-1$ //$NON-NLS-2$
 		rez = convertNonAscii(rez).toLowerCase();
 
 		rez = rez.replaceAll("[¤€§µ£°().,;:/?!@§%\\\\\"’ʹ'*+\\}\\]\\[{#~&]", ""); //$NON-NLS-1$ //$NON-NLS-2$
@@ -182,7 +182,7 @@
 		while (c == '0' || c == '1' || c == '2' || c == '3' || c == '4' || c == '5' || c == '6' || c == '7' || c == '8' || c == '9') {
 			rez = rez.substring(1);
 			if (rez.length() == 0) {
-				return "";
+				return ""; //$NON-NLS-1$
 			}
 			c = rez.charAt(0);
 		}
@@ -200,10 +200,10 @@
 		String s = "01The result : - - _ тврьдо È,É,Ê,Ë,Û,Ù,Ï,Î,À,Â,Ô,è,é,ê,ë,û,ù,ï,î,à,â,ô,ç  0 1 2 3 4 5 6 7 8 9 10"; //$NON-NLS-1$
 		System.out.println(AsciiUtils.convertNonAscii(s));
 		// System.out.println(AsciiUtils.buildId(s));
-		String s2 = "w_ТВРЬДОтврьдо_123&é\"'(-è_çà)=/*-+~#{[|`\\^@]}¤;:!§/.?µ%£°";
-		System.out.println("nonascii=" + AsciiUtils.convertNonAscii(s2));
-		System.out.println("word_id=" + AsciiUtils.buildWordId(s2));
-		System.out.println("attribute_id=" + AsciiUtils.buildAttributeId(s2));
+		String s2 = "w_ТВРЬДОтврьдо_123&é\"'(-è_çà)=/*-+~#{[|`\\^@]}¤;:!§/.?µ%£°"; //$NON-NLS-1$
+		System.out.println("nonascii=" + AsciiUtils.convertNonAscii(s2)); //$NON-NLS-1$
+		System.out.println("word_id=" + AsciiUtils.buildWordId(s2)); //$NON-NLS-1$
+		System.out.println("attribute_id=" + AsciiUtils.buildAttributeId(s2)); //$NON-NLS-1$
 		// output :
 		// The result : E,E,E,E,U,U,I,I,A,A,O,e,e,e,e,u,u,i,i,a,a,o,c
 
Index: TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/treetagger/TreeTagger.java
===================================================================
--- TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/treetagger/TreeTagger.java	(revision 3856)
+++ TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/treetagger/TreeTagger.java	(revision 3857)
@@ -523,9 +523,9 @@
 		args.add("" + outfile); //$NON-NLS-1$
 
 		if (debug)
-			System.out.println(StringUtils.join(args.toArray(), " "));
+			System.out.println(StringUtils.join(args.toArray(), " ")); //$NON-NLS-1$
 
-		Log.fine(StringUtils.join(args.toArray(), " "));
+		Log.fine(StringUtils.join(args.toArray(), " ")); //$NON-NLS-1$
 		
 		ProcessBuilder pb = new ProcessBuilder(args);
 		pb.redirectErrorStream(true);
@@ -550,7 +550,7 @@
 		if (e != 0) {
 			System.err.println("Process exited abnormally with code " + e + " at " + DateFormat.getDateInstance(DateFormat.FULL, Locale.UK).format(new Date())); //$NON-NLS-1$ //$NON-NLS-2$
 
-			System.out.println("Args: ");
+			System.out.println("Args: "); //$NON-NLS-1$
 			for (int c = 0; c < args.size(); c++)
 				System.out.print("" + args.get(c) + " "); //$NON-NLS-1$ //$NON-NLS-2$
 			System.out.println();
@@ -839,7 +839,7 @@
 
 		ProcessBuilder pb = new ProcessBuilder(args);
 		if (debug)
-			System.out.println(StringUtils.join(args.toArray(), " "));
+			System.out.println(StringUtils.join(args.toArray(), " ")); //$NON-NLS-1$
 		pb.redirectErrorStream(true);
 		Process process = null;
 		try {
@@ -861,7 +861,7 @@
 		}
 		if (e != 0) {
 			System.err.println("Process exited abnormally with code " + e + " at " + DateFormat.getDateInstance(DateFormat.FULL, Locale.UK).format(new Date())); //$NON-NLS-1$ //$NON-NLS-2$
-			System.out.println("Args: ");
+			System.out.println("Args: "); //$NON-NLS-1$
 			for (int c = 0; c < args.size(); c++)
 				System.out.print("" + args.get(c) + " "); //$NON-NLS-1$ //$NON-NLS-2$
 			System.out.println();
Index: TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/TableReader.java
===================================================================
--- TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/TableReader.java	(revision 3856)
+++ TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/TableReader.java	(revision 3857)
@@ -23,7 +23,7 @@
 public class TableReader {
 
 	File tableFile;
-	String mode = "tsv";
+	String mode = "tsv"; //$NON-NLS-1$
 
 	HashMap<String, String> record;
 	CsvReader tsvReader = null;
@@ -90,18 +90,18 @@
 	public TableReader(File tableFile, String sheet) throws Exception {
 		this.tableFile = tableFile;
 
-		if (tableFile.getName().toLowerCase().endsWith(".xlsx")) {
-			mode = "excel";
+		if (tableFile.getName().toLowerCase().endsWith(".xlsx")) { //$NON-NLS-1$
+			mode = "excel"; //$NON-NLS-1$
 			excelReader = new ReadExcel(tableFile, sheet);
-		} else if (tableFile.getName().toLowerCase().endsWith(".ods")) {
-			mode = "ods";
+		} else if (tableFile.getName().toLowerCase().endsWith(".ods")) { //$NON-NLS-1$
+			mode = "ods"; //$NON-NLS-1$
 			odsReader = new ReadODS(tableFile, sheet);
-		} else if (tableFile.getName().toLowerCase().endsWith(".tsv")) {
-			tsvReader = new CsvReader(tableFile.getAbsolutePath(), "\t".charAt(0), Charset.forName("UTF-8"));
-			mode = "tsv";
-		}  else if (tableFile.getName().toLowerCase().endsWith(".csv")) {
-			tsvReader = new CsvReader(tableFile.getAbsolutePath(), ",".charAt(0), Charset.forName("UTF-8"));
-			mode = "tsv";
+		} else if (tableFile.getName().toLowerCase().endsWith(".tsv")) { //$NON-NLS-1$
+			tsvReader = new CsvReader(tableFile.getAbsolutePath(), "\t".charAt(0), Charset.forName("UTF-8")); //$NON-NLS-1$ //$NON-NLS-2$
+			mode = "tsv"; //$NON-NLS-1$
+		}  else if (tableFile.getName().toLowerCase().endsWith(".csv")) { //$NON-NLS-1$
+			tsvReader = new CsvReader(tableFile.getAbsolutePath(), ",".charAt(0), Charset.forName("UTF-8")); //$NON-NLS-1$ //$NON-NLS-2$
+			mode = "tsv"; //$NON-NLS-1$
 		}
 	}
 
@@ -170,7 +170,7 @@
 		return null;
 	}
 
-	String EMPTY = "";
+	String EMPTY = ""; //$NON-NLS-1$
 
 	public String get(String h) throws IOException {
 		String s = getRecord().get(h);
@@ -192,19 +192,19 @@
 
 	public static void main(String[] args) {
 		try {
-			System.out.println("Loading...");
-			TableReader reader = new TableReader(new File("/home/mdecorde/TEMP/ANTRACT/AF/ANTRACT_AF_Notices_3oct19.xlsx"));
-			System.out.println("Table loaded");
+			System.out.println("Loading..."); //$NON-NLS-1$
+			TableReader reader = new TableReader(new File("/home/mdecorde/TEMP/ANTRACT/AF/ANTRACT_AF_Notices_3oct19.xlsx")); //$NON-NLS-1$
+			System.out.println("Table loaded"); //$NON-NLS-1$
 
-			System.out.println("Reading headers...");
+			System.out.println("Reading headers..."); //$NON-NLS-1$
 			reader.readHeaders();
 			System.out.println(Arrays.toString(reader.getHeaders()));
 
-			System.out.println("Reading record...");
+			System.out.println("Reading record..."); //$NON-NLS-1$
 			reader.readRecord();
 			System.out.println(reader.getRecord());
 
-			System.out.println("Reading record...");
+			System.out.println("Reading record..."); //$NON-NLS-1$
 			reader.readRecord();
 			System.out.println(reader.getRecord());
 		} catch (Exception e) {
Index: TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/xml/UpdateXSLParameters.java
===================================================================
--- TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/xml/UpdateXSLParameters.java	(revision 3856)
+++ TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/xml/UpdateXSLParameters.java	(revision 3857)
@@ -39,15 +39,15 @@
 	 */
 	public boolean process(HashMap<String, String> parameters) throws ParserConfigurationException, SAXException, IOException {
 		if (!xslFile.exists()) {
-			System.out.println("Error: $xslFile doest not exists. Aborting.");
+			System.out.println("Error: $xslFile doest not exists. Aborting."); //$NON-NLS-1$
 			return false;
 		}
 
 		Document doc = DomUtils.load(xslFile);
-		NodeList list = doc.getElementsByTagName("xsl:param");
+		NodeList list = doc.getElementsByTagName("xsl:param"); //$NON-NLS-1$
 		for (int i = 0; i < list.getLength(); i++) {
 			Element e = (Element) list.item(i);
-			String name = e.getAttribute("name");
+			String name = e.getAttribute("name"); //$NON-NLS-1$
 
 			if (parameters.keySet().contains(name)) {
 				e.setTextContent(parameters.get(name));
@@ -58,14 +58,14 @@
 	}
 
 	public static void main(String[] args) throws ParserConfigurationException, SAXException, IOException {
-		File xslFile = new File("/home/mdecorde/TEMP/testori/mss-dates/txm/mss-dates-w/xsl/4-edition/1-facsimile-pager.xsl");
+		File xslFile = new File("/home/mdecorde/TEMP/testori/mss-dates/txm/mss-dates-w/xsl/4-edition/1-facsimile-pager.xsl"); //$NON-NLS-1$
 		HashMap<String, String> parameters = new HashMap<String, String>();
-		parameters.put("image-directory", "/home/mdecorde/TEMP/testori/mss-dates/img222222222222");
+		parameters.put("image-directory", "/home/mdecorde/TEMP/testori/mss-dates/img222222222222"); //$NON-NLS-1$ //$NON-NLS-2$
 		UpdateXSLParameters p = new UpdateXSLParameters(xslFile);
 		if (!p.process(parameters)) {
-			System.out.println("Fail");
+			System.out.println("Fail"); //$NON-NLS-1$
 		} else {
-			System.out.println("Success");
+			System.out.println("Success"); //$NON-NLS-1$
 		}
 	}
 }
Index: TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/messages/UtilsCoreMessages.java
===================================================================
--- TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/messages/UtilsCoreMessages.java	(revision 3856)
+++ TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/messages/UtilsCoreMessages.java	(revision 3857)
@@ -24,6 +24,8 @@
 	public static String FileCopy_4;
 	public static String LS_0;
 	public static String LS_1;
+	public static String Log_23;
+
 	public static String Log_3;
 	public static String Log_5;
 	public static String Log_8;
Index: TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/messages/messages.properties
===================================================================
--- TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/messages/messages.properties	(revision 3856)
+++ TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/messages/messages.properties	(revision 3857)
@@ -12,6 +12,7 @@
 ExecTimer_2=min and 
 ExecTimer_1=sec
 Sh_4=Process exited abnormally with code 
+Log_23=org.txm.
 Log_5=Start loging in 
 LS_1=is not a Directory\!
 Log_3=Copying logs in 
Index: TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/messages/Utf8NLS.java
===================================================================
--- TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/messages/Utf8NLS.java	(revision 3856)
+++ TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/messages/Utf8NLS.java	(revision 3857)
@@ -22,7 +22,7 @@
 	 * @param clazz
 	 */
 	public static void initializeMessages(Class<?> clazz) {
-		initializeMessages(clazz.getPackage().getName() + ".messages", clazz);
+		initializeMessages(clazz.getPackage().getName() + ".messages", clazz); //$NON-NLS-1$
 	}
 
 	/**
Index: TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/i18n/DetectBOM.java
===================================================================
--- TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/i18n/DetectBOM.java	(revision 3856)
+++ TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/i18n/DetectBOM.java	(revision 3857)
@@ -102,7 +102,7 @@
 	}
 
 	public static void main(String args[]) {
-		DetectBOM db = new DetectBOM(new File(System.getProperty("user.home"), "xml/SUPPORT/CS/3-revues_eng_complet2.txt"));
+		DetectBOM db = new DetectBOM(new File(System.getProperty("user.home"), "xml/SUPPORT/CS/3-revues_eng_complet2.txt")); //$NON-NLS-1$ //$NON-NLS-2$
 		System.out.println(db.getBOMSize());
 		System.out.println(db.getCharSet());
 	}
Index: TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/image/BMPUtils.java
===================================================================
--- TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/image/BMPUtils.java	(revision 3856)
+++ TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/image/BMPUtils.java	(revision 3857)
@@ -12,18 +12,18 @@
 public class BMPUtils {
 
 	public static void toRLE8(File inputFile, File outputFile) throws Exception {
-		fromTo(inputFile, outputFile, "BI_RLE8");
+		fromTo(inputFile, outputFile, "BI_RLE8"); //$NON-NLS-1$
 	}
 	
 	public static void toRLE4(File inputFile, File outputFile) throws Exception {
-		fromTo(inputFile, outputFile, "BI_RLE4");
+		fromTo(inputFile, outputFile, "BI_RLE4"); //$NON-NLS-1$
 	}
 	
 	public static void emptySquare(File outputFile, int size, String comp) throws Exception {
 		
 		BufferedImage bi = new BufferedImage(size, size, BufferedImage.TYPE_BYTE_INDEXED);
 		
-		ImageWriter writer = ImageIO.getImageWritersByFormatName("bmp").next();
+		ImageWriter writer = ImageIO.getImageWritersByFormatName("bmp").next(); //$NON-NLS-1$
 		ImageWriteParam param = writer.getDefaultWriteParam();
 
 		param.setCompressionMode(ImageWriteParam.MODE_EXPLICIT);
@@ -38,7 +38,7 @@
 		
 		BufferedImage bi = ImageIO.read(inputFile); //new BufferedImage(size, size, BufferedImage.TYPE_BYTE_INDEXED);
 		
-		ImageWriter writer = ImageIO.getImageWritersByFormatName("bmp").next();
+		ImageWriter writer = ImageIO.getImageWritersByFormatName("bmp").next(); //$NON-NLS-1$
 		ImageWriteParam param = writer.getDefaultWriteParam();
 
 		param.setCompressionMode(ImageWriteParam.MODE_EXPLICIT);
@@ -61,8 +61,8 @@
 //				new File("/home/mdecorde/eclipse-tycho2022-09/bundles/org.txm.rcp/icons/logo/TXM logo 256x256 32-bit RLE8.bmp"));
 		
 		emptySquare( 
-				new File("/home/mdecorde/eclipse-tycho2022-09/bundles/org.txm.rcp/icons/logo/TXM logo 32x32 8-bit RLE8.bmp"),
-				32, "BI_RLE8");
+				new File("/home/mdecorde/eclipse-tycho2022-09/bundles/org.txm.rcp/icons/logo/TXM logo 32x32 8-bit RLE8.bmp"), //$NON-NLS-1$
+				32, "BI_RLE8"); //$NON-NLS-1$
 		
 //		emptySquare(
 //				new File("/home/mdecorde/eclipse-tycho2022-09/bundles/org.txm.rcp/icons/logo/TXM logo 48x48 8-bit RLE8.bmp"),
Index: TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/OSDetector.java
===================================================================
--- TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/OSDetector.java	(revision 3856)
+++ TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/OSDetector.java	(revision 3857)
@@ -56,9 +56,9 @@
 	 * @param args
 	 */
 	public static void main(String[] args) {
-		System.out.println("Runtime OS name: " + System.getProperty("os.name")); //$NON-NLS-1$
-		System.out.println("Runtime OS arch: " + System.getProperty("os.arch")); //$NON-NLS-1$
-		System.out.println("Runtime OS version: " + System.getProperty("os.version")); //$NON-NLS-1$
+		System.out.println("Runtime OS name: " + System.getProperty("os.name")); //$NON-NLS-1$ //$NON-NLS-2$
+		System.out.println("Runtime OS arch: " + System.getProperty("os.arch")); //$NON-NLS-1$ //$NON-NLS-2$
+		System.out.println("Runtime OS version: " + System.getProperty("os.version")); //$NON-NLS-1$ //$NON-NLS-2$
 		System.out.println("Is arch 64bit ?: " + isArch64()); //$NON-NLS-1$
 		System.out.println("Windows OS family: " + isFamilyWindows()); //$NON-NLS-1$
 		System.out.println("Unix OS family: " + isFamilyUnix()); //$NON-NLS-1$
